## org.eclipse.emf.spi.cdo
Class AbstractQueryIterator<T>

    java.lang.Object
      org.eclipse.emf.cdo.spi.common.AbstractQueryResult<T>
          org.eclipse.emf.spi.cdo.AbstractQueryIterator<T>

All Implemented Interfaces:
  java.util.Iterator<T>, BlockingCloseableIterator<T>, org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.collection.CloseableIterator<T>

    public abstract class AbstractQueryIterator<T>

extends AbstractQueryResult<T>

Since:
  2.0

Constructor Summary
`AbstractQueryIterator(CDOView view, CDOQueryInfo queryInfo)`

Method Summary
`abstract java.util.List<T>` `asList()`
`void` `close()`
`CDOView` `getView()`
`void` `remove()`
`void` `setQueryID(int queryID)`
`void` `waitForInitialization()`

Methods inherited from class org.eclipse.emf.cdo.spi.common.AbstractQueryResult
`getQueryID, getQueryInfo, getQueue, hasNext, isClosed, next, peek`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractQueryIterator

    public AbstractQueryIterator(CDOView view,
                                 CDOQueryInfo queryInfo)

Method Detail

### setQueryID

    public void setQueryID(int queryID)

  Overrides:
    `setQueryID` in class `AbstractQueryResult<T>`

### waitForInitialization

    public void waitForInitialization()
                               throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### getView

    public CDOView getView()

  Overrides:
    `getView` in class `AbstractQueryResult<T>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<T>`
  Overrides:
    `remove` in class `AbstractQueryResult<T>`

### close

    public void close()

  Specified by:
    `close` in interface `org.eclipse.net4j.util.collection.Closeable`
  Overrides:
    `close` in class `AbstractQueryResult<T>`

### asList

    public abstract java.util.List<T> asList()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.